
Figure - Bug #116643
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111068 (New): AF-V3.0--Launcher/SystemUI-定制屏保

【AF】【EVT2】【屏保】等待超过相应时间后，仍未进入屏保
2023-03-01 18:11 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-05-23

Priority: Normal Due date: 2023-05-26

Assignee: CDTS_Test 吴诗雨 % Done: 0%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0078.C101��120

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

【前提条件】

1、设备已开机

【操作步骤】

1、设置屏保时间为30s

2、等待设备进入屏保

【预期结果】

2.屏保显示正常

【实际结果】

2、屏幕变暗，但未进入屏保界面

【备注】

只有一台设备出现

Related issues:

Related to Figure - Bug # 117025: 【AF】【EVT】【屏保】打开应用宝页面，超过... CLOSED 2023-03-18 2023-04-14

History

#1 - 2023-03-02 11:00 - CD APP-王营

- Due date set to 2023-03-15

- Status changed from New to ASSIGNED

#2 - 2023-03-13 10:36 - CD APP-王营

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD APP-王营 to CDTS_Test 吴诗雨

■ Current conclusion

尝试一台设备，测试30次无法复现此问题，日志中未能找到此现象产生原因。

■ Next action

请测试同学帮忙压测继续留意几个版本，观察此问题是否可以复现，如果无法复现可关闭此问题。
#3 - 2023-03-14 09:55 - CDTS_Test 吴诗雨

【复现版本】FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101.202303110019

【复现情况】未复现

#4 - 2023-03-15 17:08 - CDTS_Test 吴诗雨

- File log1.txt added

- Assignee changed from CDTS_Test 吴诗雨 to CD APP-王营

【复现版本】FlatBuild_HH_MCE_FSE.M.R.user.01.00.0082.C101

情况复现，设备时间为3.14 4：37AM对应3.15 17：09，设备在跑测小窗部分用例时复现，已上传log

#5 - 2023-03-16 19:28 - CD APP-王营

- Status changed from NEED_INFO to ASSIGNED

#6 - 2023-03-22 16:15 - CD APP-王营

- Due date changed from 2023-03-15 to 2023-03-28

#7 - 2023-03-31 15:12 - CD APP-王营

- Due date changed from 2023-03-28 to 2023-04-14

■ Current conclusion

偶现问题，无复现规律，优先处理VC1问题，此问题持续跟进

■Next Action

分析屏保启动的整体逻辑，怀疑启动受视频播放影响

#8 - 2023-04-16 22:52 - CD APP-王营

- Due date changed from 2023-04-14 to 2023-04-19

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD APP-王营 to CDTS_Test 吴诗雨

■ Current conclusion

问题暂时未能复现，此问题同应用宝阻止屏保生效类似，android系统在某些特殊情况下是不会进入屏保的，三方应用可对此进行控制，属于正常现象。

■ Next action

请测试同事帮忙跟踪测试，如果多个版本无法复现可以关闭此问题。

当应用持有wakelock不释放的情况下，系统无法启动休眠或者屏保，如果再次复现此问题，请使用以下命令获取log信息

adb shell dumpsys power | tee power.log

和

adb shell top | tee top.log

以上两条命令分别执行可获取哪个应用当前持有了wakelock和当前运行进程信息

如果无法进入屏保时wakelock被第三方应用持有，属于正常现象，此时无法启动屏保。
#9 - 2023-04-18 14:47 - CDTS_Test 吴诗雨

版本：0414DB

复现情况：

1、刷机后，等待进入屏保

2、打开视频软件置于后台，返回桌面等待进入屏保

3、操作小窗移动放大放小后，返回桌面等待进入屏保

4、打开不带视频的软件，等待进入屏保

5、修改游戏模式，打开关闭游戏，返回桌面等待进入屏保

以上情况均未复现

#10 - 2023-04-18 14:48 - CDTS_Test 吴诗雨

版本：0417DB

复现情况：

1、刷机后，等待进入屏保

2、打开视频软件置于后台，返回桌面等待进入屏保

3、操作小窗移动放大放小后，返回桌面等待进入屏保

4、打开不带视频的软件，等待进入屏保

5、修改游戏模式，打开关闭游戏，返回桌面等待进入屏保

6、修改设置中屏保时间，等待相应时间进入屏保

以上情况均未复现

#11 - 2023-04-18 14:49 - CDTS_Test 吴诗雨

版本：0418release

复现情况：

1、刷机后，等待进入屏保

2、打开视频软件置于后台，返回桌面等待进入屏保

3、操作小窗移动放大放小后，返回桌面等待进入屏保

4、打开不带视频的软件，等待进入屏保

5、修改游戏模式，打开关闭游戏，返回桌面等待进入屏保

6、修改设置中屏保时间，等待相应时间进入屏保

以上情况均未复现

#12 - 2023-04-18 18:11 - CDTS_Test 吴诗雨

- File power.log added

- File top.log added

- Assignee changed from CDTS_Test 吴诗雨 to CD APP-王营

复现版本：0417

复现情况：

1、刷机至0417DB版本后，出现等待相应时间没有进入屏保的情况，后台没有设备，在跑测MTBF的时候的第一轮测试发现当前情况。

2、MTBF的预备工作，下载了两页左右的APP，打开了tlog。

3、手动可以进入屏保模式

#13 - 2023-05-04 10:13 - CD APP-王营

- Assignee changed from CD APP-王营 to CDTS_Test 吴诗雨
■ Current conclusion

分析中，跟进当前log未能定位原因

■ My analysis

通过异常log和正常log对比分析，怀疑在跑脚本的过程中导致PowerManagerService中的一些参数发生了异常

■ Next action

在关键位置添加了log，请测试同事帮忙跑压力测试复现此问题，抓取一份Logcat

gerrit:https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/197128

jenkins: http://jenkins.thundercomm.com/job/VerifyBuild_for_IOT_6490/3564/

#14 - 2023-05-08 14:36 - CDTS_Test 吴诗雨

暂未复现出未进入屏保的情况

#15 - 2023-05-19 10:12 - CDTS_Test 吴诗雨

- Status changed from NEED_INFO to RESOLVED

未复现未进入屏保的情况，关闭bug

#16 - 2023-05-19 10:13 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

#17 - 2023-05-19 10:13 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED

#18 - 2023-05-23 18:01 - 物联网测试组_CDTS  唐霞 

- File tee power.txt added

- File power123.txt added

- File 20230523-180022.jpg added

- Due date changed from 2023-04-19 to 2023-05-26

- Status changed from CLOSED to New

- Assignee changed from CDTS_Test 吴诗雨 to CD APP-王营

- Start date changed from 2023-03-01 to 2023-05-23

FlatBuild_HH_MCE_FSE.M.R.user.01.00.0102.C103版本复现不进入屏保

卸载完所有三方应用，只剩系统应用都不进屏保

#19 - 2023-05-23 21:59 - CDTS-TEST 周婷

- Severity changed from Normal to Major

#20 - 2023-05-23 21:59 - CDTS-TEST 周婷

- Priority changed from Normal to High

#21 - 2023-05-24 10:44 - CD APP-王营
- Status changed from New to ASSIGNED

- Assignee changed from CD APP-王营 to CD APP-王宏

#22 - 2023-05-24 20:04 - CDTS-TEST 周婷

编一个VB 加扩展日志跟踪

#23 - 2023-05-24 20:11 - CD APP-王宏

■ Current conclusion

分析中

■ My analysis

根据现象整理出了相关的日志的TAG,DreamManagerService,DreamController,PowerManagerService,DreamService,ActivityTaskManager,ActivityManager

整理后进入屏保会走如下日志

//暗屏

2023-05-24 03:38:34.436  1041-1646  PowerManagerService     system_process                       W  Screen on took 26177 ms

2023-05-24 03:38:52.688  1041-1646  PowerManagerService     system_process                       I  Napping display group (groupId=0, uid=1000)...

2023-05-24 03:38:52.688  1041-1646  PowerManagerService     system_process                       I  Nap time (uid 1000)...

//进入屏保

2023-05-24 03:38:52.698  1041-1646  PowerManagerService     system_process                       I  Dreaming...

//确认打开了屏保页面

ActivityTaskManager: START u0 {flg=0x10000000 pkg=com.thundercomm.screensaver cmp=com.thundercomm.screensaver/android.service.dreams.DreamActivity (has

extras)} from uid 1000

从日志上来看一切正常

■ Next action

1.等待复现，现场查看抓日志

2.根据android系统特性查看具体哪些操作会阻止屏保展示，在相关位置加入强化日志，等待复现

#24 - 2023-05-25 17:02 - CD APP-王宏

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD APP-王宏 to 物联网测试组_CDTS  唐霞 

■ Current conclusion

已打VerifyBuild包

ftp://cdiot@10.0.76.28/Figure/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20230525/202305250550-809

■ My analysis

根据日志分析一切正常，请使用上边的VerifyBuild来测试复现。请在复现时截一张带有时间的图(这个很重要，一定要获取发生时的时间，或者时间段),抓

取logcat,bugreport 以供分析

■ Next action

等待复现后再分析

#25 - 2023-06-05 16:45 - SZTS_TEST 邹涛

- File FSEM_000185_0154_1113204037.tar.gz added

在C103版本有复现，复现时间：2023.6.5 16:19
#26 - 2023-06-08 16:45 - CDTS_Test 吴诗雨

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from 物联网测试组_CDTS  唐霞  to CD APP-王宏

#27 - 2023-06-08 17:46 - CD APP-王宏

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD APP-王宏 to CDTS_Test 吴诗雨

■ Current conclusion

分析完毕

■ My analysis

日志分析一切正常。

根据comment 中的时间来看是对应不上的，请提供系统的时间，而非电脑时间。

另外，这应该不是我提供的VB版本，未发现强化日志存在。

■ Next action

请在我提供的强化日志上复现该现象，有助于我们分析问题。

#28 - 2023-06-08 17:48 - CD APP-王宏

- Assignee changed from CDTS_Test 吴诗雨 to 物联网测试组_CDTS  唐霞 

#29 - 2023-06-09 17:31 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

193460 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com

AF:ScreenSaver:open debug switchTC-RID: 0301-0300601IssueID: TS-R-BUG-116643Change-Id: I698e7df99172cf2176cbfa37d553f238d123dba9

#30 - 2023-07-07 11:18 - 物联网测试组_CDTS  唐霞 

- Status changed from NEED_INFO to RESOLVED

跟踪20天以上未复现，先关闭问题单

#31 - 2023-07-07 11:18 - 物联网测试组_CDTS  唐霞 

- Status changed from RESOLVED to VERIFIED

#32 - 2023-07-07 11:18 - 物联网测试组_CDTS  唐霞 

- Status changed from VERIFIED to CLOSED

#33 - 2023-07-10 14:46 - CDTS_Test 吴诗雨

- File 07101436.txt added

- Status changed from CLOSED to New

- Assignee changed from 物联网测试组_CDTS  唐霞  to CD APP-王宏

- Priority changed from High to Normal
- Severity changed from Major to Normal

- Found Version changed from FlatBuild_HH_MCE_FSE.M.R.user.01.00.0078.C101 to FlatBuild_HH_MCE_FSE.M.R.user.01.00.0078.C101

0708DB

120版本复现，情况如下：

连接蓝牙音箱播放视频43小时后正常使用，设置屏保为1min，出现超过时间未进入屏保的情况

tlog已经上传：ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/116643

#34 - 2023-07-10 14:49 - CDTS_Test 吴诗雨

- Found Version changed from FlatBuild_HH_MCE_FSE.M.R.user.01.00.0078.C101

0708DB to FlatBuild_HH_MCE_FSE.M.R.user.01.00.0078.C101

120

#35 - 2023-07-24 16:13 - CD APP-王宏

- Status changed from New to NEED_INFO

- Assignee changed from CD APP-王宏 to CDTS_Test 吴诗雨

jira上跟踪，follow http://jira.human-horizons.com/browse/IOVDEV-33538

#36 - 2023-07-26 10:08 - CDTS_Test 吴诗雨

- Status changed from NEED_INFO to RESOLVED

0724DB、0725DB未复现，关闭bug

#37 - 2023-07-26 10:09 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

#38 - 2023-07-26 10:09 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED

Files

logcat.txt 641 KB 2023-03-01 CDTS_Test 吴诗雨

log1.txt 4.19 MB 2023-03-15 CDTS_Test 吴诗雨

power.log 36.9 KB 2023-04-18 CDTS_Test 吴诗雨

top.log 4.02 KB 2023-04-18 CDTS_Test 吴诗雨

tee power.txt 21.1 KB 2023-05-23 物联网测试组_CDTS  唐霞 

power123.txt 2.55 MB 2023-05-23 物联网测试组_CDTS  唐霞 

20230523-180022.jpg 305 KB 2023-05-23 物联网测试组_CDTS  唐霞 

FSEM_000185_0154_1113204037.tar.gz 1.09 MB 2023-06-05 SZTS_TEST 邹涛

07101436.txt 7.94 MB 2023-07-10 CDTS_Test 吴诗雨
